Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service.binding
Class AbstractBinding

    java.lang.Object
      org.codehaus.xfire.handler.AbstractHandler
          org.codehaus.xfire.service.binding.AbstractBinding

All Implemented Interfaces:
  java.lang.Cloneable, MessageSerializer, Handler, ObjectBinding

Direct Known Subclasses:
  DocumentBinding, MessageBinding, WrappedBinding

    public abstract class AbstractBinding

extends AbstractHandler
implements ObjectBinding, java.lang.Cloneable

Field Summary
`static java.lang.String` | `OPERATION_KEY`
`static java.lang.String` | `RESPONSE_PIPE`
`static java.lang.String` | `RESPONSE_VALUE`

Fields inherited from interface org.codehaus.xfire.handler.Handler
`ROLE`

Constructor Summary
`AbstractBinding()`

Method Summary
`abstract java.lang.Object` | `clone()`
`BindingProvider` | `getBindingProvider()`
`Invoker` | `getInvoker()`
`java.lang.String` | `getPhase()` The phase which this handler would like to be in.
`java.lang.String` | `getStyle()`
`java.lang.String` | `getUse()`
`void` | `invoke(MessageContext context)` Invoke a handler.
`boolean` | `isClientModeOn()`
`protected void` | `nextEvent(javax.xml.stream.XMLStreamReader dr)`
`protected void` | `sendMessage(MessageContext context, java.util.List params, OperationInfo operation, Invoker invoker)`
`void` | `setBindingProvider(BindingProvider bindingProvider)`
`void` | `setClientModeOn(boolean clientModeOn)`
`void` | `setInvoker(Invoker invoker)`
`void` | `setOperation(OperationInfo operation, MessageContext context)`
`protected void` | `setStyle(java.lang.String style)`
`protected void` | `setUse(java.lang.String use)`

Methods inherited from class org.codehaus.xfire.handler.AbstractHandler
`getRoles, getUnderstoodHeaders, handleFault`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.handler.Handler
`getRoles, getUnderstoodHeaders, handleFault`

Methods inherited from interface org.codehaus.xfire.exchange.MessageSerializer
`readMessage, writeMessage`

Field Detail

### OPERATION_KEY

    public static final java.lang.String OPERATION_KEY

See Also:
  Constant Field Values

### RESPONSE_VALUE

    public static final java.lang.String RESPONSE_VALUE

See Also:
  Constant Field Values

### RESPONSE_PIPE

    public static final java.lang.String RESPONSE_PIPE

See Also:
  Constant Field Values

Constructor Detail

### AbstractBinding

    public AbstractBinding()

Method Detail

### getPhase

    public java.lang.String getPhase()

  Description copied from interface: `Handler`
  The phase which this handler would like to be in.

  Specified by:
    `getPhase` in interface `Handler`
  Overrides:
    `getPhase` in class `AbstractHandler`
  Returns:
  See Also:
    `Phase`

### setOperation

    public void setOperation(OperationInfo operation,
                             MessageContext context)

### invoke

    public void invoke(MessageContext context)
                throws java.lang.Exception

  Description copied from interface: `Handler`
  Invoke a handler. If a fault occurs it will be handled via the `handleFault` method.

  Specified by:
    `invoke` in interface `Handler`
  Throws:
    `java.lang.Exception`

### sendMessage

    protected void sendMessage(MessageContext context,
                               java.util.List params,
                               OperationInfo operation,
                               Invoker invoker)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### nextEvent

    protected void nextEvent(javax.xml.stream.XMLStreamReader dr)

### getInvoker

    public Invoker getInvoker()

  Specified by:
    `getInvoker` in interface `ObjectBinding`

### setInvoker

    public void setInvoker(Invoker invoker)

  Specified by:
    `setInvoker` in interface `ObjectBinding`

### getStyle

    public java.lang.String getStyle()

### setStyle

    protected void setStyle(java.lang.String style)

### getUse

    public java.lang.String getUse()

### setUse

    protected void setUse(java.lang.String use)

### getBindingProvider

    public BindingProvider getBindingProvider()

  Specified by:
    `getBindingProvider` in interface `ObjectBinding`

### setBindingProvider

    public void setBindingProvider(BindingProvider bindingProvider)

  Specified by:
    `setBindingProvider` in interface `ObjectBinding`

### isClientModeOn

    public boolean isClientModeOn()

  Specified by:
    `isClientModeOn` in interface `ObjectBinding`

### setClientModeOn

    public void setClientModeOn(boolean clientModeOn)

  Specified by:
    `setClientModeOn` in interface `ObjectBinding`

### clone

    public abstract java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.